        !COMPILER-GENERATED INTERFACE MODULE: Thu Aug 24 12:30:30 2017
        MODULE DOUBLELAYER_mod
          INTERFACE 
            SUBROUTINE DOUBLELAYER(U1,TOUT,FINF,FMN)
            INTEGER(KIND=4) :: U1
            REAL(KIND=8) :: TOUT(NOUT)
            REAL(KIND=8) :: FINF
            REAL(KIND=8) :: FMN
          END SUBROUTINE DOUBLELAYER
        END INTERFACE 
      END MODULE DOUBLELAYER_mod
